Logo
OpenScaler
ApiBilling

List flat pricing

GET
/v1/pricing/flat

Returns flat-rate per-GiB pricing for storage resources such as block storage and backup storage.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/pricing/flat"
{  "pricing": [    {      "id": "block_storage",      "price_monthly": "0.10",      "price_hourly": "0.0001488"    },    {      "id": "backup_storage",      "price_monthly": "0.05",      "price_hourly": "0.0000744"    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}